=== app/kconf_update/CMakeLists.txt ===
install(FILES ark.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS ark_add_hamburgermenu_to_toolbar.sh
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
