=== debian/changelog ===
ark (4:23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5).
  * Update build-deps with info from cmake.
  * Build depend on pkgconf instead of transitional pkg-config.
  * Apply upstream commit 03e6c1fa to improve 7-zip detection. (Closes:
    #1064227)
  * Change p7zip-full runtime Recommendation to 7zip. (Closes: #1063545)

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 21:08:08 +0200

ark (4:23.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update minimum kf5 and ECM build-dep versions with info from cmake. 

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 28 Sep 2023 10:01:14 -0400

ark (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:41 +0100
