## ark 24.12.1

=== debian/changelog ===
ark (4:24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Also suggest arj and lzop that Ark supports.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 18 Jan 2025 13:27:23 +0100
