=== plugins/libzipplugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 set(INSTALLED_LIBZIP_PLUGINS "")
+
+# not yet supported on freebsd
+try_compile(HAVE_CHRONO_CAST ${CMAKE_CURRENT_BINARY_DIR} SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/.test_chrono_cast.cpp)
 
 set(kerfuffle_libzip_SRCS libzipplugin.cpp ark_debug.cpp)
 
 ecm_qt_declare_logging_category(kerfuffle_libzip_SRCS
                                 HEADER ark_debug.h
-                                IDENTIFIER ARK
+                                IDENTIFIER ARK_LOG
                                 CATEGORY_NAME ark.libzip DESCRIPTION "Ark Infozip plugin" EXPORT ARK)
 
 if(LibZip_VERSION VERSION_GREATER_EQUAL "1.8.0")
@@ -28,7 +31,13 @@
 
 kerfuffle_add_plugin(kerfuffle_libzip ${kerfuffle_libzip_SRCS})
 
-target_link_libraries(kerfuffle_libzip KF${QT_MAJOR_VERSION}::KIOCore LibZip::LibZip ZLIB::ZLIB)
+if (HAVE_CHRONO_CAST)
+    target_compile_definitions(kerfuffle_libzip PRIVATE HAVE_CHRONO_CAST=1)
+else()
+    target_compile_definitions(kerfuffle_libzip PRIVATE HAVE_CHRONO_CAST=0)
+endif()
+
+target_link_libraries(kerfuffle_libzip KF6::KIOCore LibZip::LibZip ZLIB::ZLIB)
 
 set(INSTALLED_LIBZIP_PLUGINS "${INSTALLED_LIBZIP_PLUGINS}kerfuffle_libzip;")
