=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ark
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.19~),
                debhelper-compat (= 13),
@@ -31,14 +32,14 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/utilities/ark
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
 
 Package: ark
 Section: utils
 Architecture: any
 Recommends: 7zip, bzip2, unar, unzip, zip,
-Suggests: rar, unrar | unrar-free,
+Suggests: arj, lzop, rar, unrar | unrar-free,
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: archive utility
  Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
