=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ark
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.19~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.19~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libarchive-dev (>= 3.3.3~),
@@ -29,11 +28,11 @@
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/utilities/ark
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git
 
 Package: ark
 Section: utils
