=== debian/changelog ===
ark (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - CompressFileItemAction: stat without progress info.
  * Backport upstream commits:
    - Fix file sorting order not matching Dolphin’s. [55b6d6e6] (kde#387969)
    - Fix corner case of single-threaded CPU getting 0 thread. [1435ccd4]

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Jul 2025 15:34:31 +0200
