=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                zlib1g-dev,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://invent.kde.org/utilities/ark
+Homepage: https://apps.kde.org/ark/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git
